Subject: Re: [multipathtcp] new version of draft-khalili-mptcp-congestion-control

From: Ramin Khalili <[email-masked]>
Date: Tue, 05 Nov 2013 16:50:55 +0100

Hi Yoshifumi,

I have updated the congestion control draft based on the feedbacks I 
received from you, Nicolas, and other folks. You can find the new 
version via:

https://drive.google.com/file/d/0Bzyq3_ZbR6DyMEVPdks5Zl8wTWc/edit?usp=sharing

I would be very happy to receive your comments and feedbacks about this 
new version.

Regards,
Ramin.

PS: as we are in the cut-off period, I put the draft on google doc.

Am 01.11.2013 04:45, schrieb Yoshifumi Nishida:
> Hi Ramin,
>
> I'm not sure if these are typical topics, but I'm guessing it might be 
> analysis and evaluation for the current algorithm or new algorithm 
> spec. Anyway, it will be decided by the consensus.
> --
> Yoshifumi
>
>
> On Thu, Oct 31, 2013 at 7:04 AM, Ramin Khalili 
> <[email-masked] <mailto:[email-masked]>> 
> wrote:
>
>     Hi Yoshifumi,
>
>     What are the typical milestones for a topic like congestion
>     control? I am asking as many practical milestones, such as
>     implementation, debugging, integration into the UCLouvain'S MPTCP
>     implementation, and performance evaluation (on many difference
>     settings) are already done for our algorithm.
>
>     Cheers,
>     Ramin.
>
>     Am 31.10.2013 04:50, schrieb Yoshifumi Nishida:
>>     Hi Rui,
>>
>>     On Wed, Oct 30, 2013 at 10:08 AM, Rui Paulo <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>
>>         On 29 Oct 2013, at 20:53, Yoshifumi Nishida
>>         <[email-masked] <mailto:[email-masked]>> wrote:
>>         > Just to be clear. Of course, we can have random discussions
>>         on RFC6356 or Ramin's draft.
>>         > But, we cannot make consensus or publishing a document as
>>         an WG product if it is not on the charter.
>>
>>         Are you saying that Ramin’s draft (which, as I understand it,
>>         is an improvement of RFC 6356) does not fall under the
>>         initial WG charter section c) ?
>>
>>
>>     Well, the section is a part to describe the previous charter..
>>     I think you won't see congestion control related words in the
>>     part to describe new charter.
>>
>>         I’m sure there’s something I’m missing, but I’m trying to
>>         understand why this WG can’t publish MPTCP congestion control
>>         documents without a new charter. What’s even more confusing
>>         to me is that we already published a congestion control
>>         algorithm with the initial charter.
>>
>>         If we indeed have to re-charter to work on MPTCP congestion
>>         control algorithms, I’d love to know what the WG chairs think
>>         about this.
>>
>>
>>     Putting a topic in the charter means we will have to set
>>     milestone for it. Otherwise, evaluating the progress might be
>>     difficult, which is not good thing for the WG.
>>     Hence, WG chairs sometimes omit a certain topics from the charter
>>     which seems to be less attractive.
>>
>>     But, I also think re-chartering for adding a certain topic is
>>     fairly easy for the WG as long as there is consensus. We can
>>     start the procedure if that's the consensus.
>>
>>     Thanks,
>>     --
>>     Yoshifumi
>>
>>
>>
>>
>>
>>     _______________________________________________
>>     multipathtcp mailing list
>>     [email-masked]  <mailto:[email-masked]>
>>     https://www.ietf.org/mailman/listinfo/multipathtcp
>
>